local mesh, image

function love.load()
	mesh = love.graphics.newMesh({
		{0, 0},
		{-50, -50},
		{-50, 50},
		{50, 50},
		{50, -50}
	})
	image = love.graphics.newImage("image.bmp")
	
	image:setWrap("repeat")
	mesh:setTexture(image)
end

function love.draw()
	love.graphics.draw(mesh, love.graphics.getWidth() / 2, love.graphics.getHeight() / 2)
end